## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CountersTable Class Reference

This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. More...

`#include <CountersTable.hpp>`

List of all members.

## Public Types

- typedef Counter::CountType CountType
- typedef std::vector<Counter> CounterVectorType
- typedef std::vector<CounterVectorType> ElemCounterVectorVectorType
- typedef Counter::NodeVectorType NodeVectorType

## Public Methods

- CountersTable (unsigned long theSize = 0)
    Construct a CountersTable.
- void resize (unsigned long theSize)
    Resize the table. More...
- CountType countNode ( StylesheetExecutionContext& executionContext, const ElemNumber& numberElem, XalanNode* node)
    Count forward until the given node is found, or until we have looked to the given amount. More...
- void reset ()
    Clear all cached data from the table.

## Detailed Description

This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects.

This really isn't a true table, it is more like a list of lists (there must be a technical term for that...).

## Member Typedef Documentation

typedef Counter::CountType CountersTable::CountType

typedef std::vector<Counter> CountersTable::CounterVectorType

typedef std::vector<CounterVectorType> CountersTable::ElemCounterVectorVectorType

typedef Counter::NodeVectorType CountersTable::NodeVectorType

## Constructor & Destructor Documentation

CountersTable::CountersTable ( | unsigned long theSize = 0 )

Construct a CountersTable.

## Member Function Documentation

CountType CountersTable::countNode ( | StylesheetExecutionContext & executionContext,
| const ElemNumber & numberElem,
| XalanNode * node )

Count forward until the given node is found, or until we have looked to the given amount.

@executionContext The current execution context; @numberElem The executing ElemNumber @node The node to count.

Returns:
  The node count, or 0 if not found.

void CountersTable::reset ( | )`[]`

Clear all cached data from the table.

void CountersTable::resize ( | unsigned long theSize )`[]`

Resize the table.

The must be done prior to using the table, if the size was not past in the constructor.

@theSize The new size

The documentation for this class was generated from the following file:

- CountersTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.